#
# spec file for package python-google-auth
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-google-auth
Version:        1.5.1
Release:        lp152.2.3
Summary:        Google Authentication Library
License:        Apache-2.0
Group:          Development/Languages/Python
URL:            https://github.com/GoogleCloudPlatform/google-auth-library-python
Source:         https://files.pythonhosted.org/packages/source/g/google-auth/google-auth-%{version}.tar.gz
Patch0:         oauth-no-appengine.patch
BuildRequires:  %{python_module Flask}
BuildRequires:  %{python_module cachetools}
BuildRequires:  %{python_module cryptography}
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module mock}
BuildRequires:  %{python_module oauth2client-gce}
BuildRequires:  %{python_module oauth2client}
BuildRequires:  %{python_module pyasn1-modules}
BuildRequires:  %{python_module pyasn1}
BuildRequires:  %{python_module pytest-localserver}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module requests}
BuildRequires:  %{python_module rsa}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module six}
BuildRequires:  %{python_module urllib3}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-cachetools
Requires:       python-cryptography
Requires:       python-oauth2client
Requires:       python-oauth2client-gce
Requires:       python-pyasn1
Requires:       python-pyasn1-modules
Requires:       python-requests
Requires:       python-rsa
Requires:       python-setuptools
Requires:       python-six
Requires:       python-urllib3
BuildArch:      noarch
%python_subpackages

%description
This library simplifies using Google’s various server-to-server authentication mechanisms to access Google APIs.

%prep
%setup -q -n google-auth-%{version}
%patch0 -p1

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%python_expand py.test-%{$python_bin_suffix}

%files %{python_files}
%license LICENSE
%doc README.rst
%{python_sitelib}/*

%changelog
* Wed Sep 12 2018 Thomas Bechtold <tbechtold@suse.com>
- update to 1.5.1:
  - Fix check for error text on Python 3.7. (#278)
  - Use new Auth URIs. (#281)
  - Add code-of-conduct document. (#270)
  - Fix some typos in test_urllib3.py (#268)
  - Warn when using user credentials from the Cloud SDK (#266)
  - Add compute engine-based IDTokenCredentials (#236)
  - Corrected some typos (#265)
* Tue May 29 2018 tbechtold@suse.com
- update to 1.4.2:
  - Raise a helpful exception when trying to refresh credentials without
    a refresh token. (#262)
  - Fix links to README and CONTRIBUTING in docs/index.rst. (#260)
  - Fix a typo in credentials.py. (#256)
  - Use pytest instead of py.test per upstream recommendation,
    [#]dropthedot. (#255)
  - Fix typo on exemple of jwt usage (#245)
- Drop Flask from Requires. It is only needed for testing
* Tue May  8 2018 tchvatal@suse.com
- Add patch to not check for oauth appengine which we disable in
  openSUSE:
  * oauth-no-appengine.patch
* Mon May  7 2018 tchvatal@suse.com
- Fix fdupes call and run tests
* Mon May  7 2018 adrian.glaubitz@suse.com
- New upstream release (bsc#1088358)
  + Version 1.4.1
  - Added a check for the cryptography version before attempting to use it.
  + From version 1.4.0
  - Added `cryptography`-based RSA signer and verifier.
  - Added `google.oauth2.service_account.IDTokenCredentials`.
  - Improved documentation around ID Tokens
  + From version 1.3.0
  - Added ``google.oauth2.credentials.Credentials.from_authorized_user_file``.
  - Dropped direct pyasn1 dependency in favor of letting ``pyasn1-modules``
    specify the right version.
  - ``default()`` now checks for the project ID environment var before
    warning about missing project ID.
  - Fixed the docstrings for ``has_scopes()`` and ``with_scopes()``.
  - Fixed example in docstring for ``ReadOnlyScoped``.
  - Made ``transport.requests`` use timeouts and retries
    to improve reliability.
* Sun Nov 19 2017 mc@suse.com
- initial version 1.2.1
